Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class JspParseEventListener

    java.lang.Object
      |
      +--org.apache.jasper.compiler.JspParseEventListener

All Implemented Interfaces:
  ParseEventListener

public class JspParseEventListener
extends java.lang.Object
implements ParseEventListener

JSP code generator "backend".

Author:
  Anil K. Vijendran, Pierre Delisle, Danno Ferrin

Field Summary
`protected JspReader` | `reader`
`protected ServletWriter` | `writer`

Method Summary
`void` | `beginPageProcessing()`
`void` | `endPageProcessing()`
`TagLibraries` | `getTagLibraries()`
`void` | `handleBean(Mark start, Mark stop, org.xml.sax.Attributes attrs)`
`void` | `handleBean(Mark start, Mark stop, org.xml.sax.Attributes attrs, boolean isXml)`
`void` | `handleBeanEnd(Mark start, Mark stop, org.xml.sax.Attributes attrs)`
`void` | `handleCharData(Mark start, Mark stop, char[] chars)`
`void` | `handleComment(Mark start, Mark stop, char[] text)`
`void` | `handleDeclaration(Mark start, Mark stop, org.xml.sax.Attributes attrs, char[] text)`
`void` | `handleDirective(java.lang.String directive, Mark start, Mark stop, org.xml.sax.Attributes attrs)`
`void` | `handleExpression(Mark start, Mark stop, org.xml.sax.Attributes attrs, char[] text)`
`void` | `handleForward(Mark start, Mark stop, org.xml.sax.Attributes attrs, java.util.Hashtable param)`
`void` | `handleForward(Mark start, Mark stop, org.xml.sax.Attributes attrs, java.util.Hashtable param, boolean isXml)`
`void` | `handleGetProperty(Mark start, Mark stop, org.xml.sax.Attributes attrs)`
`void` | `handleInclude(Mark start, Mark stop, org.xml.sax.Attributes attrs, java.util.Hashtable param)`
`void` | `handleInclude(Mark start, Mark stop, org.xml.sax.Attributes attrs, java.util.Hashtable param, boolean isXml)`
`void` | `handleJspCdata(Mark start, Mark stop, char[] data)`
`void` | `handlePlugin(Mark start, Mark stop, org.xml.sax.Attributes attrs, java.util.Hashtable param, java.lang.String fallback)`
`void` | `handlePlugin(Mark start, Mark stop, org.xml.sax.Attributes attrs, java.util.Hashtable param, java.lang.String fallback, boolean isXml)`
`void` | `handleRootBegin(org.xml.sax.Attributes attrs)`
`void` | `handleRootEnd()`
`void` | `handleScriptlet(Mark start, Mark stop, org.xml.sax.Attributes attrs, char[] text)`
`void` | `handleSetProperty(Mark start, Mark stop, org.xml.sax.Attributes attrs)`
`void` | `handleSetProperty(Mark start, Mark stop, org.xml.sax.Attributes attrs, boolean isXml)`
`void` | `handleTagBegin(Mark start, Mark stop, org.xml.sax.Attributes attrs, java.lang.String prefix, java.lang.String shortTagName, javax.servlet.jsp.tagext.TagLibraryInfo tli, javax.servlet.jsp.tagext.TagInfo ti, boolean hasBody)`
`void` | `handleTagBegin(Mark start, Mark stop, org.xml.sax.Attributes attrs, java.lang.String prefix, java.lang.String shortTagName, javax.servlet.jsp.tagext.TagLibraryInfo tli, javax.servlet.jsp.tagext.TagInfo ti, boolean hasBody, boolean isXml)`
`void` | `handleTagEnd(Mark start, Mark stop, java.lang.String prefix, java.lang.String shortTagName, org.xml.sax.Attributes attrs, javax.servlet.jsp.tagext.TagLibraryInfo tli, javax.servlet.jsp.tagext.TagInfo ti, boolean hasBody)`
`void` | `handleUninterpretedTagBegin(Mark start, Mark stop, java.lang.String rawName, org.xml.sax.Attributes attrs)`
`void` | `handleUninterpretedTagEnd(Mark start, Mark stop, java.lang.String rawName, char[] data)`
`static void` | `setCommentGenerator(CommentGenerator generator)`
`void` | `setReader(JspReader reader)` The reader associated with the listener.
`void` | `setTemplateInfo(Mark start, Mark stop)`
`void` | `validate()` validate the XML stream of the JSP document against the libraries used by the document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reader

    protected JspReader reader

### writer

    protected ServletWriter writer

Method Detail

### setCommentGenerator

    public static void setCommentGenerator(CommentGenerator generator)

### setReader

    public void setReader(JspReader reader)

  Description copied from interface: `ParseEventListener`
  The reader associated with the listener. As of JSP1.2, each part of the JSP tranlation unit is parsed with a new instance of a parser and the reader is different for each one.
  Specified by:
    `setReader` in interface `ParseEventListener`

### setTemplateInfo

    public void setTemplateInfo(Mark start,
                                Mark stop)

  Specified by:
    `setTemplateInfo` in interface `ParseEventListener`

### beginPageProcessing

    public void beginPageProcessing()
                             throws JasperException

  Specified by:
    `beginPageProcessing` in interface `ParseEventListener`

### endPageProcessing

    public void endPageProcessing()
                           throws JasperException

  Specified by:
    `endPageProcessing` in interface `ParseEventListener`

### handleComment

    public void handleComment(Mark start,
                              Mark stop,
                              char[] text)
                       throws JasperException

  Specified by:
    `handleComment` in interface `ParseEventListener`

### handleDirective

    public void handleDirective(java.lang.String directive,
                                Mark start,
                                Mark stop,
                                org.xml.sax.Attributes attrs)
                         throws JasperException

  Specified by:
    `handleDirective` in interface `ParseEventListener`

### handleDeclaration

    public void handleDeclaration(Mark start,
                                  Mark stop,
                                  org.xml.sax.Attributes attrs,
                                  char[] text)
                           throws JasperException

  Specified by:
    `handleDeclaration` in interface `ParseEventListener`

### handleScriptlet

    public void handleScriptlet(Mark start,
                                Mark stop,
                                org.xml.sax.Attributes attrs,
                                char[] text)
                         throws JasperException

  Specified by:
    `handleScriptlet` in interface `ParseEventListener`

### handleExpression

    public void handleExpression(Mark start,
                                 Mark stop,
                                 org.xml.sax.Attributes attrs,
                                 char[] text)
                          throws JasperException

  Specified by:
    `handleExpression` in interface `ParseEventListener`

### handleBean

    public void handleBean(Mark start,
                           Mark stop,
                           org.xml.sax.Attributes attrs)
                    throws JasperException

  Specified by:
    `handleBean` in interface `ParseEventListener`

### handleBean

    public void handleBean(Mark start,
                           Mark stop,
                           org.xml.sax.Attributes attrs,
                           boolean isXml)
                    throws JasperException

  Specified by:
    `handleBean` in interface `ParseEventListener`

### handleBeanEnd

    public void handleBeanEnd(Mark start,
                              Mark stop,
                              org.xml.sax.Attributes attrs)
                       throws JasperException

  Specified by:
    `handleBeanEnd` in interface `ParseEventListener`

### handleGetProperty

    public void handleGetProperty(Mark start,
                                  Mark stop,
                                  org.xml.sax.Attributes attrs)
                           throws JasperException

  Specified by:
    `handleGetProperty` in interface `ParseEventListener`

### handleSetProperty

    public void handleSetProperty(Mark start,
                                  Mark stop,
                                  org.xml.sax.Attributes attrs)
                           throws JasperException

  Specified by:
    `handleSetProperty` in interface `ParseEventListener`

### handleSetProperty

    public void handleSetProperty(Mark start,
                                  Mark stop,
                                  org.xml.sax.Attributes attrs,
                                  boolean isXml)
                           throws JasperException

  Specified by:
    `handleSetProperty` in interface `ParseEventListener`

### handlePlugin

    public void handlePlugin(Mark start,
                             Mark stop,
                             org.xml.sax.Attributes attrs,
                             java.util.Hashtable param,
                             java.lang.String fallback)
                      throws JasperException

  Specified by:
    `handlePlugin` in interface `ParseEventListener`

### handlePlugin

    public void handlePlugin(Mark start,
                             Mark stop,
                             org.xml.sax.Attributes attrs,
                             java.util.Hashtable param,
                             java.lang.String fallback,
                             boolean isXml)
                      throws JasperException

  Specified by:
    `handlePlugin` in interface `ParseEventListener`

### handleForward

    public void handleForward(Mark start,
                              Mark stop,
                              org.xml.sax.Attributes attrs,
                              java.util.Hashtable param)
                       throws JasperException

  Specified by:
    `handleForward` in interface `ParseEventListener`

### handleForward

    public void handleForward(Mark start,
                              Mark stop,
                              org.xml.sax.Attributes attrs,
                              java.util.Hashtable param,
                              boolean isXml)
                       throws JasperException

  Specified by:
    `handleForward` in interface `ParseEventListener`

### handleInclude

    public void handleInclude(Mark start,
                              Mark stop,
                              org.xml.sax.Attributes attrs,
                              java.util.Hashtable param)
                       throws JasperException

  Specified by:
    `handleInclude` in interface `ParseEventListener`

### handleInclude

    public void handleInclude(Mark start,
                              Mark stop,
                              org.xml.sax.Attributes attrs,
                              java.util.Hashtable param,
                              boolean isXml)
                       throws JasperException

  Specified by:
    `handleInclude` in interface `ParseEventListener`

### handleCharData

    public void handleCharData(Mark start,
                               Mark stop,
                               char[] chars)
                        throws JasperException

  Specified by:
    `handleCharData` in interface `ParseEventListener`

### handleTagBegin

    public void handleTagBegin(Mark start,
                               Mark stop,
                               org.xml.sax.Attributes attrs,
                               java.lang.String prefix,
                               java.lang.String shortTagName,
                               javax.servlet.jsp.tagext.TagLibraryInfo tli,
                               javax.servlet.jsp.tagext.TagInfo ti,
                               boolean hasBody)
                        throws JasperException

  Specified by:
    `handleTagBegin` in interface `ParseEventListener`

### handleTagBegin

    public void handleTagBegin(Mark start,
                               Mark stop,
                               org.xml.sax.Attributes attrs,
                               java.lang.String prefix,
                               java.lang.String shortTagName,
                               javax.servlet.jsp.tagext.TagLibraryInfo tli,
                               javax.servlet.jsp.tagext.TagInfo ti,
                               boolean hasBody,
                               boolean isXml)
                        throws JasperException

  Specified by:
    `handleTagBegin` in interface `ParseEventListener`

### handleTagEnd

    public void handleTagEnd(Mark start,
                             Mark stop,
                             java.lang.String prefix,
                             java.lang.String shortTagName,
                             org.xml.sax.Attributes attrs,
                             javax.servlet.jsp.tagext.TagLibraryInfo tli,
                             javax.servlet.jsp.tagext.TagInfo ti,
                             boolean hasBody)
                      throws JasperException

  Specified by:
    `handleTagEnd` in interface `ParseEventListener`

### getTagLibraries

    public TagLibraries getTagLibraries()

  Specified by:
    `getTagLibraries` in interface `ParseEventListener`

### handleRootEnd

    public void handleRootEnd()

  Specified by:
    `handleRootEnd` in interface `ParseEventListener`

### handleRootBegin

    public void handleRootBegin(org.xml.sax.Attributes attrs)
                         throws JasperException

  Specified by:
    `handleRootBegin` in interface `ParseEventListener`

### handleUninterpretedTagBegin

    public void handleUninterpretedTagBegin(Mark start,
                                            Mark stop,
                                            java.lang.String rawName,
                                            org.xml.sax.Attributes attrs)
                                     throws JasperException

  Specified by:
    `handleUninterpretedTagBegin` in interface `ParseEventListener`

### handleUninterpretedTagEnd

    public void handleUninterpretedTagEnd(Mark start,
                                          Mark stop,
                                          java.lang.String rawName,
                                          char[] data)
                                   throws JasperException

  Specified by:
    `handleUninterpretedTagEnd` in interface `ParseEventListener`

### handleJspCdata

    public void handleJspCdata(Mark start,
                               Mark stop,
                               char[] data)
                        throws JasperException

  Specified by:
    `handleJspCdata` in interface `ParseEventListener`

### validate

    public void validate()
                  throws JasperException

  validate the XML stream of the JSP document against the libraries used by the document.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.